Imports System
Imports System.Windows.Forms
Imports GTA
Imports System.Drawing

Public Class police5

    Inherits Script

    Public Sub New()
        Me.Interval = 20000
    End Sub

    Shadows Sub keyDown(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyDown
        
    End Sub

    Shadows Sub keyUp(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyUp
    End Sub

    Private Sub general_tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        If Player.WantedLevel = 6 And Player.Character.isInVehicle = True Then
            If Player.Character.CurrentVehicle.Model.isHelicopter = True Then
                Dim buzzard As Vehicle, pilot As Ped, art1 As Ped
                buzzard = World.CreateVehicle("buzzard", Player.Character.Position.Around(60.0F))
                pilot = buzzard.CreatePedOnSeat(VehicleSeat.Driver, "M_M_FBI", RelationshipGroup.Cop)
                art1 = buzzard.CreatePedOnSeat(VehicleSeat.RightFront, "M_M_FBI", RelationshipGroup.Cop)
                buzzard.EngineRunning = True
                buzzard.Speed = 10
                art1.Weapons.RemoveAll()
                art1.Weapons(Weapon.Episodic_22).Ammo = 99
                art1.Money = 5
                buzzard.NoLongerNeeded()
                pilot.NoLongerNeeded()
                art1.NoLongerNeeded()
                art1.Task.WarpIntoVehicle(buzzard, VehicleSeat.RightFront)
            End If
        End If
    End Sub

    Private Sub console_CMD(ByVal sender As Object, ByVal e As ConsoleEventArgs) Handles MyBase.ConsoleCommand

    End Sub

    Private Sub GraphicsEventHandler(ByVal sender As Object, ByVal e As GTA.GraphicsEventArgs) Handles MyBase.PerFrameDrawing
    End Sub

    Private Sub msg(ByVal sMsg As String, ByVal time As Int32)
        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", sMsg, time, 1)
    End Sub
End Class
